Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.thesaurus
Interface Thesaurus

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.excalibur.xml.sax.XMLizable

All Known Subinterfaces:
  SDXThesaurus

All Known Implementing Classes:
  AbstractThesaurus, LuceneThesaurus

public interface Thesaurus
extends org.apache.excalibur.xml.sax.XMLizable, org.apache.avalon.framework.configuration.Configurable

A thesaurus managed by SDX.

Field Summary
`static java.lang.String` | `NAMESPACE_PREFIX`
`static java.lang.String` | `NAMESPACE_URI`
`static int` | `RELATION_BROADER_TERM` A "BROADER TERM" relation.
`static int` | `RELATION_BROADER_TERMS` A "BROADER TERMS" relation.
`static int` | `RELATION_EQUIVALENT_TERM` An "EQUIVALENT TERM" relation
`static int` | `RELATION_NARROWER_TERM` A "NARROWER TERM" relation.
`static int` | `RELATION_PARTIAL_EQIUVALENCE` A generic relation for Partial Equivalence TODO:maybe need more specific relations here
`static int` | `RELATION_RELATED_TERM` A "RELATED TERM" relation.
`static int` | `RELATION_SCOPE_NOTE` A "SCOPE NOTE" relation.
`static int` | `RELATION_USE` A "USE" relation.
`static int` | `RELATION_USED_FOR` A "USED FOR" relation.

Method Summary
`void` | `compile()`
`java.lang.String` | `getRelationTypeAbbreviation(int type)` Returns an abbreviation String for a relation type defined in the thesaurus
`int` | `getRelationTypeInt(java.lang.String abbr)` Returns an int for a relation type String defined in the thesaurus

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### NAMESPACE_PREFIX

    public static final java.lang.String NAMESPACE_PREFIX

See Also:
  Constant Field Values

### RELATION_BROADER_TERM

    public static final int RELATION_BROADER_TERM

  A "BROADER TERM" relation.

  See Also:
    Constant Field Values

### RELATION_BROADER_TERMS

    public static final int RELATION_BROADER_TERMS

  A "BROADER TERMS" relation.

  See Also:
    Constant Field Values

### RELATION_NARROWER_TERM

    public static final int RELATION_NARROWER_TERM

  A "NARROWER TERM" relation.

  See Also:
    Constant Field Values

### RELATION_RELATED_TERM

    public static final int RELATION_RELATED_TERM

  A "RELATED TERM" relation.

  See Also:
    Constant Field Values

### RELATION_USE

    public static final int RELATION_USE

  A "USE" relation.

  See Also:
    Constant Field Values

### RELATION_USED_FOR

    public static final int RELATION_USED_FOR

  A "USED FOR" relation.

  See Also:
    Constant Field Values

### RELATION_SCOPE_NOTE

    public static final int RELATION_SCOPE_NOTE

  A "SCOPE NOTE" relation.

  See Also:
    Constant Field Values

### RELATION_EQUIVALENT_TERM

    public static final int RELATION_EQUIVALENT_TERM

  An "EQUIVALENT TERM" relation

  See Also:
    Constant Field Values

### RELATION_PARTIAL_EQIUVALENCE

    public static final int RELATION_PARTIAL_EQIUVALENCE

  A generic relation for Partial Equivalence TODO:maybe need more specific relations here

  See Also:
    Constant Field Values

Method Detail

### compile

    public void compile()
                 throws SDXException

  Throws:
    `SDXException`

### getRelationTypeAbbreviation

    public java.lang.String getRelationTypeAbbreviation(int type)

  Returns an abbreviation String for a relation type defined in the thesaurus

### getRelationTypeInt

    public int getRelationTypeInt(java.lang.String abbr)

  Returns an int for a relation type String defined in the thesaurus

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.